update  "catalog1" set is_valid = '1' where is_valid = '0'
go

ALTER TABLE "division" RENAME TO "division_temp";
go
create table if not exists division(
	_id INTEGER PRIMARY KEY AUTOINCREMENT,
    	book_id text,
    	division_index int,
    	division_id text UNIQUE,
    	last_update_time text,
    	max_chapter_index text,
    	division_name text,
    	description text
)
go
delete from division_temp where rowid  not in(select max(rowid) from division_temp group by division_id)
go
INSERT INTO "division" ("book_id", "division_index","division_id","last_update_time",
"max_chapter_index","division_name","description")
SELECT "book_id", "division_index","division_id","last_update_time",
       "max_chapter_index","division_name","description" FROM "division_temp"
go
DROP TABLE division_temp
go